/*****************************************************************************
 * $LastChangedDate: 2010-04-11 21:45:55 -0400 (Sun, 11 Apr 2010) $
 * @file
 * @author  Jim E. Brooks  http://www.palomino3d.org
 * @brief   Macro include file to expand function prototypes, dummy definitions, function calls.
 *//*
 * LEGAL:   COPYRIGHT (C) 2009 JIM E. BROOKS
 *          THIS SOURCE CODE IS RELEASED UNDER THE TERMS
 *          OF THE GNU GENERAL PUBLIC LICENSE VERSION 2 (GPL 2).
 *****************************************************************************/

// Avoid lua_/LUA_ which is reserved by Lua.

// Macro include file to expand function prototypes, dummy definitions, function calls.
// alphabetical

REG_FUNC_BEGIN RegisterAircraft(        REG_FUNC_ARGS ) REG_FUNC_END
REG_FUNC_BEGIN RegisterAircraftPhysics( REG_FUNC_ARGS ) REG_FUNC_END
REG_FUNC_BEGIN RegisterBase(            REG_FUNC_ARGS ) REG_FUNC_END
REG_FUNC_BEGIN RegisterCarrier(         REG_FUNC_ARGS ) REG_FUNC_END
REG_FUNC_BEGIN RegisterChaseViewpoint(  REG_FUNC_ARGS ) REG_FUNC_END
REG_FUNC_BEGIN RegisterCollision(       REG_FUNC_ARGS ) REG_FUNC_END
REG_FUNC_BEGIN RegisterConfBin(         REG_FUNC_ARGS ) REG_FUNC_END
REG_FUNC_BEGIN RegisterControl(         REG_FUNC_ARGS ) REG_FUNC_END
REG_FUNC_CMDLINE // RegisterCmdLine()
REG_FUNC_BEGIN RegisterDyna(            REG_FUNC_ARGS ) REG_FUNC_END
REG_FUNC_BEGIN RegisterFX(              REG_FUNC_ARGS ) REG_FUNC_END
REG_FUNC_BEGIN RegisterGameHud(         REG_FUNC_ARGS ) REG_FUNC_END
#if COMPILE_GUI || COMPILE_LUA_BIND_TEST
REG_FUNC_BEGIN RegisterGui(             REG_FUNC_ARGS ) REG_FUNC_END
#endif
REG_FUNC_BEGIN RegisterHudText(         REG_FUNC_ARGS ) REG_FUNC_END
REG_FUNC_BEGIN RegisterJoystick(        REG_FUNC_ARGS ) REG_FUNC_END
REG_FUNC_BEGIN RegisterKeyboard(        REG_FUNC_ARGS ) REG_FUNC_END
REG_FUNC_BEGIN Registerlib(             REG_FUNC_ARGS ) REG_FUNC_END  // special spelling
REG_FUNC_BEGIN RegisterLight(           REG_FUNC_ARGS ) REG_FUNC_END
REG_FUNC_BEGIN RegisterMath(            REG_FUNC_ARGS ) REG_FUNC_END
REG_FUNC_BEGIN RegisterMissile(         REG_FUNC_ARGS ) REG_FUNC_END
REG_FUNC_BEGIN RegisterObject(          REG_FUNC_ARGS ) REG_FUNC_END
REG_FUNC_BEGIN RegisterObserverCurrentCraft( REG_FUNC_ARGS ) REG_FUNC_END
REG_FUNC_BEGIN RegisterObserverMatrix(  REG_FUNC_ARGS ) REG_FUNC_END
REG_FUNC_BEGIN RegisterOtwViewpoint(    REG_FUNC_ARGS ) REG_FUNC_END
REG_FUNC_BEGIN RegisterPhysics(         REG_FUNC_ARGS ) REG_FUNC_END
REG_FUNC_BEGIN RegisterProgram(         REG_FUNC_ARGS ) REG_FUNC_END
REG_FUNC_BEGIN RegisterReplay(          REG_FUNC_ARGS ) REG_FUNC_END
REG_FUNC_BEGIN RegisterSceneGraph(      REG_FUNC_ARGS ) REG_FUNC_END
REG_FUNC_BEGIN RegisterSound(           REG_FUNC_ARGS ) REG_FUNC_END
#if DEBUG && ! COMPILE_LUA_BIND_TEST
REG_FUNC_BEGIN RegisterTest(            REG_FUNC_ARGS ) REG_FUNC_END
#endif
REG_FUNC_BEGIN RegisterView(            REG_FUNC_ARGS ) REG_FUNC_END
REG_FUNC_BEGIN RegisterWindow(          REG_FUNC_ARGS ) REG_FUNC_END
REG_FUNC_BEGIN RegisterWorld(           REG_FUNC_ARGS ) REG_FUNC_END

// alphabetical
